package djmil.cordacheckers.gamestate;

import java.util.List;

import net.corda.v5.application.marshalling.JsonMarshallingService;

public class ListFlowResponce {
    public final List<View> successStatus;
    public final String failureStatus;

    public ListFlowResponce(List<View> success) {
        this.successStatus = success;
        this.failureStatus = null;
    }

    public ListFlowResponce(Exception exception) {
        this.successStatus = null;
        this.failureStatus = exception.toString();
    }

    public String toJsonEncodedString(JsonMarshallingService jsonMarshallingService) {
        return jsonMarshallingService.format(this);
    }
    
}